gvm_host Struct Reference

The structure for a single host object. More...

`#include <hosts.h>`

## Data Fields

union {
gchar * name
struct in_addr addr
struct in6_addr addr6
}; |
enum host_type | type
GSList * | vhosts

## Detailed Description

The structure for a single host object.

The elements of this structure should never be accessed directly. Only the functions corresponding to this module should be used.

## Field Documentation

##

union { ... }

## addr

struct in_addr gvm_host::addr

IPv4 address

## addr6

struct in6_addr gvm_host::addr6

IPv6 address

## name

gchar* gvm_host::name

Hostname.

## type

enum host_type gvm_host::type

HOST_TYPE_NAME, HOST_TYPE_IPV4 or HOST_TYPE_IPV6.

## vhosts

GSList* gvm_host::vhosts

List of hostnames/vhosts attached to this host.

The documentation for this struct was generated from the following file:

- base/hosts.h